%global scrname paho-mqtt

Name:           python-paho-mqtt
Version:        1.4.0
Release:        1%{?dist}
Summary:        A Python MQTT version 3.1/3.1.1 client class

License:        EPL
URL:            http://eclipse.org/paho/
Source0:        https://pypi.python.org/packages/source/p/%{scrname}/%{scrname}-%{version}.tar.gz
Buildarch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This library provides a client class which enable applications to connect to
an MQTT broker to publish messages, and to subscribe to topics and receive
published messages. It also provides some helper functions to make publishing
one off messages to an MQTT server very straightforward.

The MQTT protocol is a machine-to-machine (M2M) connectivity protocol. Designed
as an extremely lightweight publish/subscribe messaging transport, it is useful
for connections with remote locations where a small code footprint is required
and/or network bandwidth is at a premium.

%prep
%setup -q -n paho.mqtt.python-%{version}
sed -i "s|\r||g" CONTRIBUTING.md
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc CONTRIBUTING.md LICENSE.txt README.rst *.html
%{python2_sitelib}/paho/
%{python2_sitelib}/paho*.egg-info

%changelog
* Tue Oct 08 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Update to new upstream version 1.4.0 (rhbz#1695729)

* Thu Feb 05 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.1-1
- Update to new upstream version 1.1

* Wed Aug 20 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-1
- Initial package
